Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 604114 - Boot loader upgrade code is broken
Boot loader upgrade code is broken
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 09:04 EDT by Emmanuel Galanos
Modified: 2011-06-07 10:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-07 10:16:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Galanos 2010-06-15 09:04:14 EDT
Description of problem:

I'm trying to upgrade my Fedora 11 x86_64 system to Fedora 13 x86_64 via DVD install method.

At the upgrade boot loader GUI screen, the message at the top of the screen
is: "The installer is unable to detect the boot loader currently in use on your system" and the "Update boot loader configuration" option is greyed out.

Version-Release number of selected component (if applicable):
Fedora 13 x86_64 release

How reproducible:
100%

Steps to Reproduce:
1. Have a working Fedora 11 system which has no /etc/sysconfig/grub and (no line starting with #boot= in /etc/grub.conf or /etc/grub.conf being an absolute symbolic link)
2. Try to upgrade
  
Actual results:
Fail

Expected results:
Win

Additional info:

booty/checkbootloader.py:getBootloaderTypeAndBoot() is too fragile.

On my system /etc/sysconfig/grub did not exist. /etc/grub.conf was an absolute symbolic link. /boot/grub/grub.conf didn't have #boot= line.

Please please please autodetect this sort of crap by probing in case of failure. A scan of the MBR of the device which I was installing too (and which contained /boot) would have worked.

Worst case, the grub.conf could still have been updated by scanning /boot if the stage 1 couldn't be confirmed.

Oh, and the code should really be updated to perform a readlink on /etc/grub.conf
Comment 1 Radek Vykydal 2010-07-29 12:41:31 EDT
(In reply to comment #0)

> 1. Have a working Fedora 11 system which has no /etc/sysconfig/grub and (no
> line starting with #boot= in /etc/grub.conf or /etc/grub.conf being an absolute
> symbolic link)

Why is the information missing? Was it anaconda? Is there any reason we should suppose this information can be removed from the system?

> 
> Please please please autodetect this sort of crap by probing in case of
> failure. A scan of the MBR of the device which I was installing too (and which
> contained /boot) would have worked.

We must set a limit of how much a system can be modified to be still upgradable and falling back to detection doesn't seem to be worth raising it. It seems fragile and unreliable, note that you can install on more disks, there can be grub bootloaders of other systems in MBR, etc... If you come with a patch, we will consider it.

> Oh, and the code should really be updated to perform a readlink on
> /etc/grub.conf

What problem is it supposed to resolve?
Comment 2 Bug Zapper 2011-06-02 06:46:32 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.